Subject: bug#16324: 24.3.50; Crashing on OSX 10.6.8 (built --with-ns)

From: Keith David Bershatsky <[email-masked]>
Date: Thu, 02 Jan 2014 21:51:47 -0800

I re-wrote part of my calendar function today thinking that it was maybe to blame, but I'm still receiving a few crashes.  Here are some of the messages I'm seeing right before the crash -- the font disappears in the *Org Agenda* buffer when the message appears each time I try to change months:

Error during redisplay: (jit-lock-function 1) signaled (error "Variable binding depth exceeds max-specpdl-size")
Error during redisplay: (jit-lock-function 553) signaled (error "Variable binding depth exceeds max-specpdl-size")
Error during redisplay: (jit-lock-function 1082) signaled (error "Variable binding depth exceeds max-specpdl-size")

I have overlays in the calendar buffer, and font lock in the *Org Agenda* buffer above it.  The error or crash happens when I move forward or backward between months -- each time I switch months, a new *Org Agenda* and new *Calendar* buffer appear -- the code searches the org-todo-files and finds matches with deadlines or scheduled, and then places an overlay on the matching visible date using a holiday-sexp from holidays.el.

Keith